Module java.desktop
Package java.awt.event

## Interface MouseWheelListener

- All Superinterfaces:
    `EventListener`
  All Known Implementing Classes:
    `AWTEventMulticaster`, `BasicComboPopup.InvocationMouseHandler`, `BasicComboPopup.ListMouseHandler`, `BasicDesktopIconUI.MouseInputHandler`, `BasicFileChooserUI.DoubleClickListener`, `BasicInternalFrameUI.BorderListener`, `BasicScrollBarUI.ArrowButtonListener`, `BasicScrollBarUI.TrackListener`, `BasicScrollPaneUI.MouseWheelHandler`, `BasicSliderUI.TrackListener`, `BasicSplitPaneDivider.MouseHandler`, `BasicTabbedPaneUI.MouseHandler`, `BasicTreeUI.MouseHandler`, `FormView.MouseEventListener`, `HTMLEditorKit.LinkController`, `MetalFileChooserUI.SingleClickListener`, `MouseAdapter`, `MouseInputAdapter`, `ToolTipManager`

      public interface MouseWheelListener
      extends EventListener

  The listener interface for receiving mouse wheel events on a component. (For clicks and other mouse events, use the `MouseListener`. For mouse movement and drags, use the `MouseMotionListener`.)

  The class that is interested in processing a mouse wheel event implements this interface (and all the methods it contains).

  The listener object created from that class is then registered with a component using the component's `addMouseWheelListener` method. A mouse wheel event is generated when the mouse wheel is rotated. When a mouse wheel event occurs, that object's `mouseWheelMoved` method is invoked.

  For information on how mouse wheel events are dispatched, see the class description for `MouseWheelEvent`.

  Since:
    1.4
  See Also:
    `MouseWheelEvent`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseWheelMoved​(MouseWheelEvent e)` | Invoked when the mouse wheel is rotated.

- - ### Method Detail

    - #### mouseWheelMoved

          void mouseWheelMoved​(MouseWheelEvent e)

      Invoked when the mouse wheel is rotated.
      Parameters:
        `e` - the event to be processed
      See Also:
        `MouseWheelEvent`